# Firebase on mac

Crashlytics feature is integrated with Google Firebase service. You need to sign up on the Firebase website and create a new project. Then, add your app to your Firebase project to register app.

Create a new project.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-35-38.jpg)

In the newly opened window enter the name of the project. And click **Continue**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-36-53.jpg)

Next, select Google Analytics account or create a new one. Click on the **Create Project**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/create_project.png)

Wait for the project to load.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/creating_project.png)

On the opened page select the app platform iOS or Android.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-58-06.jpg)

Write the **package name** and click on the **Register app**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/add_firebase.png)

The config file will be generated. You need to download it and upload to the following folder: **Android > App** in the project MasterStudy App.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_17-00-16.jpg)

You will be notified that the file with the same name already exists. You need to confirm that you want to replace it.

## Push Notification

Find the **Cloud Messaging** menu on the **Firebase Dashboard**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/cloud_messaging.png)

On the new page click on the **Send your first message** button.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/send_first_message.png)

Fill in the required fields and click on **Next.**

Please note before sending the test message, first you need to set up your **App** in Android Studio and launch it on the virtual device.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/test_message.png)

After that, select the name of the project.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/select_app.png)

Then, fill the fields that left depending on your preferences and click Review.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/other_steps.png)

You will see the next window, just click Publish and you are set.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/review_message.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/masterstudy-app-documentation/android-app-build-on-macos/firebase-on-mac.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
